MySQL Forums
Forum List  »  memcached

memcached plugin installation on MySQL-5.6.11 under FreeBSD-9.1
Posted by: Alex Gut
Date: May 29, 2013 02:12AM

Hello, guys.

I am interested in MySQL with integrated memcached daemon so I'm trying to install libmemcached.so plugin on mysql-5.6.11 runing under FreeBSD-9.1... and failing to do so.

The problem is neither libmemcached.so nor innodb_engine.so were installed, this files just don't exist. I tryied to build libmemcached-1.0.7_1 from ports, copy /usr/local/lib/libmemcached.so into /usr/local/lib/mysql/plugin/, but it didn't help:

mysql> install plugin daemon_memcached soname "libmemcached.so";
ERROR 1127 (HY000): Can't find symbol '_mysql_plugin_interface_version_' in library

I also tried to buid mysql-5.6.10 under Gentoo Linux from overlays and faced the same problem: libmemcached.so and innodb_engine.so were not installed.

According to this: http://dev.mysql.com/doc/refman/5.6/en/innodb-memcached-setup.html manual page, this plugins should be installed automatically but it just does not happening.

What am I doing wrong?

Options: ReplyQuote


Subject
Views
Written By
Posted
memcached plugin installation on MySQL-5.6.11 under FreeBSD-9.1
5342
May 29, 2013 02:12AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.